Get final campaign analysis by campaign ID
curl --request GET \
--url https://app.closerx.ai/api/v2/campaign-final-analysis/{campaign_id}/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/v2/campaign-final-analysis/{campaign_id}/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/v2/campaign-final-analysis/{campaign_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_counts": {
"AGENT_HANGUP": 1,
"DIAL_NO_ANSWER": 1
},
"outcome_counts": {
"NEGATIVE": 1,
"UNKNOWN": 1
},
"number_of_callbacks": {},
"cumulative_user_hangups": [],
"response_sentiment_counts": {
"NOT_DETECTED": 2
},
"improvement_tag_counts": {
"NULL": 2
},
"analysis_dict": {
"total_appointment_booked": 0,
"total_calls": 2,
"total_connected_calls": 1,
"booking_rate": 0
}
}{
"success": true,
"message": "<string>",
"data": {}
}Campaign
Final Analysis
Returns the final analysis data for a specific campaign by its campaign ID.
GET
/
v2
/
campaign-final-analysis
/
{campaign_id}
/
Get final campaign analysis by campaign ID
Authorizations
Headers
The name of the schema to be used for the request
Path Parameters
Unique campaign ID (e.g., quickcamp6cd8c4ce)
Response
Final campaign analysis data response
Counts of each call status in the campaign (e.g., AGENT_HANGUP, DIAL_NO_ANSWER)
Show child attributes
Show child attributes
Example:
{ "AGENT_HANGUP": 1, "DIAL_NO_ANSWER": 1 }
Counts of each outcome classification (e.g., POSITIVE, NEGATIVE, UNKNOWN)
Show child attributes
Show child attributes
Example:
{ "NEGATIVE": 1, "UNKNOWN": 1 }
Details or count of scheduled callbacks if any (can be empty)
Example:
{}
List of user IDs or identifiers who hung up the call (can be empty)
Example:
[]
Count of response sentiments detected during the campaign
Show child attributes
Show child attributes
Example:
{ "NOT_DETECTED": 2 }
Counts of improvement tags used in the campaign
Show child attributes
Show child attributes
Example:
{ "NULL": 2 }
Final summary and aggregated metrics of the campaign
Show child attributes
Show child attributes
